import * as $dara from '@darabonba/typescript';
export declare class DescribeInstanceAttachmentAttributesResponseBodyInstancesInstance extends $dara.Model {
    instanceId?: string;
    privatePoolOptionsId?: string;
    privatePoolOptionsMatchCriteria?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceAttachmentAttributesResponseBodyInstances extends $dara.Model {
    instance?: DescribeInstanceAttachmentAttributesResponseBodyInstancesInstance[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeInstanceAttachmentAttributesResponseBody extends $dara.Model {
    instances?: DescribeInstanceAttachmentAttributesResponseBodyInstances;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
